/******************************************************************************
*
* DEFCON 17 BADGE
*
* Filename:		DC17_Badge.h
* Author:		  Joe Grand (Kingpin)
* Revision:		1.0
*
* Description:	Header File for the DEFCON 17 Badge (Freescale MC56F8006)
* Notes:
*
* None yet!	
*******************************************************************************/

#ifndef __DC17__
#define __DC17__


// Real Fast Fourier Transform (FFT)
// Frequency resolution (delta F) = Fs/samples = 8000/32 = 250Hz
#define MAX_RFFT_LEN					32		// length of the complex FFT input vector
#define ADC_MAX_BUFFER_SIZE		(MAX_RFFT_LEN)


/**************************************************************************
************************** Macros *****************************************
***************************************************************************/


/**************************************************************************
************************** Structs ****************************************
***************************************************************************/

struct packed_flags
{
	byte dofft : 1;  // time to do an FFT
	byte doadc : 1;  // get more samples
	byte draw : 1;   // flag to indicate if pwmvals is ok to draw
};

/***********************************************************************
 ************************** Function prototypes ************************
 ***********************************************************************/

void dc17_badge(void);
void dc17_init(void);

void dc17_draw(void);

void dc17_fft(void);
void dc17_process_fft(void);
void dc17_sleep(void);

void dc17_pit_isr(void);
void dc17_t0_isr(void);
void dc17_t1_isr(void);
void delay_ms(unsigned int ms);

#endif /* __DC17__ */
